Go to the latest version of this document.

# ``twisted`.`mail`.`maildir``

module documentation
(source)

Maildir-style mailbox support.

Class | `AbstractMaildirDomain` | An abstract maildir-backed domain.
Class | `DirdbmDatabase` | A credentials checker which authenticates users out of a `DirDBM` database.
Class | `MaildirDirdbmDomain` | A maildir-backed domain where membership is checked with a `DirDBM` database.
Class | `MaildirMailbox` | A maildir-backed mailbox.
Class | `MaildirMessage` | A message receiver which adds a header and delivers a message to a file whose name includes the size of the message.
Class | `StringListMailbox` | An in-memory mailbox.
Function | `initializeMaildir` | Create a maildir user directory if it doesn't already exist.
Constant | `INTERNAL_ERROR` | Undocumented
Class | `_MaildirMailboxAppendMessageTask` | A task which adds a message to a maildir mailbox.
Class | `_MaildirNameGenerator` | A utility class to generate a unique maildir name.
Variable | `_generateMaildirName` | Undocumented

def initializeMaildir(dir: `bytes | str`): (source)

Create a maildir user directory if it doesn't already exist.

Parameters
dir:`bytes | str` | The path name for a user directory.

INTERNAL_ERROR: `str` = (source)

Undocumented

Value

    '''From: Twisted.mail Internals
    Subject: An Error Occurred

      An internal server error has occurred.  Please contact the
      server administrator.
    '''

_generateMaildirName = (source)

Undocumented